Update recording metadata

Rename a recording and/or move it into a folder.

PATCH /api/v1/spaces/{spaceId}/recordings/{recordingId}
API key in header x-api-key

Path parameters

· 2
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId string required

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Body

application/json

Recording fields to update — provide title, recordingFolderId, or both.

title string

New title for the recording.

recordingFolderId string · nullable

Move the recording into this folder. Pass null to move it out of any folder, back to the workspace root. Get folder IDs from the List folders endpoint.

Responses